# Interface IIterable<T>

Type Parameters:
  `T` - the type of elements from this iterator

public interface IIterable<T>
Objects that are adaptable to `IIterable` can be used as the default variable in an iterate expression.

Since:
  3.3
See Also:
  - `IAdaptable`
  - `IAdapterManager`

## Method Summary

Modifier and Type
Method
Description
`Iterator<T>`
`iterator()`
Returns an iterator to iterate over the elements.

## Method Details

### iterator

Iterator<T> iterator()
Returns an iterator to iterate over the elements.

Returns:
  an iterator